<?php

namespace Insign\PostCore\Util\OAuth2;

use GuzzleHttp\Client;
use Insign\PostCore\Helper\BarcodeHelper;
use Insign\PostCore\Helper\TokenHelper;

class AddressValidationProvider extends AbstractProvider
{
    /**
     * AddressValidationProvider constructor.
     * @param TokenHelper $tokenHelper
     * @param BarcodeHelper $barcodeHelper
     * @param AccessTokenManager $accessTokenManager
     * @param Client $client
     */
    public function __construct(
        TokenHelper $tokenHelper,
        BarcodeHelper $barcodeHelper,
        AccessTokenManager $accessTokenManager,
        Client $client
    ) {
        $this->tokenHelper = $tokenHelper;
        $this->oauthScope = $this->tokenHelper->getAddressValidationScope();
        parent::__construct($tokenHelper, $barcodeHelper, $accessTokenManager, $client, $this->oauthScope);
    }

}
